package com.fufan.mtsaas.modules.sysmgr.sydept.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDepVer;
import com.fufan.mtsaas.modules.sysmgr.sydept.bo.request.DeptVerQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.sydept.bo.request.DeptVerSaveRequest;
import com.fufan.mtsaas.modules.sysmgr.sydept.model.SYDepVer;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;

import java.util.Map;

/**
 *  服务类
 *
 * @author Liby
 * @since 2019-08-19
 */
public interface SYDepVerSvc extends IService<SYDepVer> {

    Result doQueryPage(DeptVerQueryRequest map);

    Result doSave(SYDepVer entity, RequestPojo requestPojo);

    Result doUpdate(SYDepVer entity, RequestPojo requestPojo);

    Result doDelete(DeptVerQueryRequest map, RequestPojo requestPojo);

    Result doSaveMap(DeptVerSaveRequest map, RequestPojo requestPojo);

    Result doUpdateMap(DeptVerSaveRequest map, RequestPojo requestPojo);
}
